(function() {

    "use strict";

    // ================================================
    // 一覧画面のイベント
    // ================================================

    // ①表示後のイベント
    kintone.events.on("app.record.index.show", function(event) {
        console.log("一覧画面が表示されました。");
    });

    // ②表示後のインライン編集開始時イベント
    kintone.events.on("app.record.index.edit.show", function(event) {
        console.log("一覧画面のインライン編集が開始されました。");
    });

    // ③フィールド値変更時イベント
    kintone.events.on("app.record.index.edit.change.項目1", function(event) {
        console.log("一覧画面の項目１の値が変更されました。");
    });

    // ④インライン編集保存実行前イベント（「保存」ボタンクリック時）
    kintone.events.on("app.record.index.edit.submit", function(event) {
        console.log("一覧画面の保存ボタンがクリックされました。");
    });

    // ⑤インライン編集保存成功後イベント
    kintone.events.on("app.record.index.edit.submit.success", function(event) {
        console.log("一覧画面でレコードの保存が成功しました。");
    });

    // ⑥レコード削除前イベント（ポップアップの「削除する」ボタンクリック時）
    kintone.events.on("app.record.index.delete.submit", function(event) {
        console.log("一覧画面のポップアップで削除するボタンがクリックされました。");
    });
})();
