// 実行中のアプリIDを取得
var appId = kintone.app.getId();
// 取得条件:実行中のアプリのレコード番号2
var params = {
    app: appId,
    id: 2
};
// レコードを取得してJSON形式で表示
kintone.api(
    // APIのURL
    kintone.api.url("/k/v1/record", true),
    // GETメソッド
    "GET",
    // 取得条件のパラメータ
    params,
    function(resp) {
        // success:レスポンスをJSON形式で表示する
        console.log(JSON.stringify(resp));
    },
    function(resp) {
        //error:エラーの場合はメッセージを表示する
        var errmsg = 'レコード取得時にエラーが発生しました。';
        // レスポンスにエラーメッセージが含まれる場合はメッセージを表示する
        if (resp.message !== undefined) {
            errmsg += '\n' + resp.message;
        }
        alert(errmsg);
    }
);
